import React from 'react';
import { scaleLinear, scaleSequential, scaleOrdinal } from 'd3';
import { MapMarks } from './Marks';

export const MapColorMark = ({ atlas }) => {
  console.log('Calling MapColorMark...');
  console.log(atlas);
  const mapColorScale1 = scaleLinear()
    .domain([0, 60])
    .range(['white', 'blue']);
  const mapColorScale = scaleSequential()
    .domain([0, 60])
    .interpolator(d3.interpolatePuRd);
  //   	.interpolator(d3.interpolateViridis); //interpolatePuRd
  console.log(mapColorScale(50));

  return <MapMarks atlas={atlas} colorScale={mapColorScale} />;
};
